from aider_gitea import generate_branch_name


def test_generate_branch_name_normal():
    # Normal case with alphanumeric title.
    branch = generate_branch_name('123', 'Some Issue Title')
    assert branch == 'issue-123-some-issue-title'


def test_generate_branch_name_special_characters():
    branch = generate_branch_name('45', 'Issue @ Special!')
    assert branch == 'issue-45-issue-special'


def test_generate_branch_name_numeric_title():
    # Test where the title starts with numbers.
    branch = generate_branch_name('789', '123 Numbers Here')
    assert branch == 'issue-789-123-numbers-here'
